## pbuilder 0.230.2~mx17+1

=== debian/changelog ===
pbuilder (0.230.2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Drop to debhelper compat 10 to ease backports.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 26 Mar 2019 19:00:56 -0700

pbuilder (0.230.2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 13 Mar 2019 17:44:24 +0100

pbuilder (0.230.2) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * buildpackage:
    + Fixup the dpkg-dev 1.13.19 check for dpkg-source not supporting
      specifying the extraction directory.  Closes: #918368
      Thanks to Helmut and James for finding the (maybe) best formula.
  * d/control:
    + Bump Standards-Version to 4.3.0, no changes needed.

  [ Helmut Grohne ]
  * modules:
    + Make possible to unpack tarballs that lack dpkg-dev.  MR: !3

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 28 Feb 2019 16:42:09 +0100

pbuilder (0.230.1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * modules:
    + Add a package_version_is_older_than() function.
  * buildpackage:
    + Support dpkg-dev << 1.13.19 which doesn't support specifying a directory
      where to extract the sources into.  Closes: #854725
    + Keep passing -rfakeroot to dpkg-buildpackage if dpkg is << 1.14.7.
  * checkparams:
    + Use systemd-escape(1) to escape the package name in the slice name.

  [ Thorsten Glaser ]
  * Use long option in the dpkg-query calls, to support sarge's version. MR: !2

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 12 Nov 2018 10:16:00 +0100

pbuilder (0.230) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * d/control:
    + Bump Standards-Version to 4.2.1, no changes needed.
    + Use the new debhelper-compat(=11) notation and drop d/compat.
  * d/rules: Change Ubuntu default DISTRIBUTION to "devel".
  * t: Add regression tests for 54e072c5ebb7d353e674873c96e5d837e52f345c.
  * checkparams:
    + Add a --no-source-only-changes option to override a configured
      SOURCE_ONLY_CHANGES=yes.  Closes: #904716
    + Add more information in the slice name and scope description
      to ease the life of those running many pbuilder instances.
  * buildpackage:
    + Don't explicitly pass -rfakeroot to dpkg-buildpackage.
      dpkg-buildpackage uses it by default if present since v1.14.7, so no
      need to tell it to.  LP: #1206215
    + Unless specified, look for .changes file of the architecture of the
      chroot, not of the host's system.   LP: #1762890
  * modules:
    + Shut down some extra translators in umountproc.  Closes: #912636
      Thanks to Samuel Thibault for the patch.

  [ Thorsten Glaser ]
  * buildpackage:
    + Create consistent /etc/hosts in build chroots with USENETWORK=no.
      Policy 4.2.0 §4.9 explicitly allows loopback access, which is already
      allowed, and we also already clean resolv.con.
      Add a clean hosts file which ships 127.0.0.1 as localhost and ::1 as
      localhost6 to avoid trouble.  See also the policy bug #904248.
      Closes: #905307

  [ Daniel Schepler ]
  * Wrap the chroot calls inside a systemd slice when running on Linux systems
    with systemd.  Closes: #905550
    This allows proper cleanup of stray processes left behind, among easier
    resource control by the system administrator.

  [ James Clarke ]
  * modules: Mount fdescfs under /dev/fd on kFreeBSD.
  * pbuilderrc.5: Update link to the user manual.
  * t/test_pbuilder-apt-config:
    + Fix Ubuntu-related tests on non-Ubuntu architectures.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 09 Nov 2018 13:51:04 +0100
