## pbuilder 0.230.4~bpo9+1

=== debian/changelog ===
pbuilder (0.230.4~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 04 Apr 2019 10:42:52 +0200

pbuilder (0.230.4) unstable; urgency=medium

  * createbuildenv:
    + Only try to print debootstrap.log if the file really exists.
    + Properly handle the case of a disabled internal cache.  Closes: #926115

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 02 Apr 2019 11:32:38 +0200

pbuilder (0.230.3) unstable; urgency=medium

  [ Marcin Sulikowski ]
  * buildpackage-funcs: Fix whitespace handling in .dsc paths.  MR: !4

  [ Hideki Yamane ]
  * createbuildenv:
    + Use packages from APTCACHE during debootstrap.  Closes: #432088; MR: !6
  * doc:
    + Use deb.debian.org as defalut example.  MR: !5
  * pbuilder.8:
    + Mention qemu-debootstrap as a valid --debootstrap option.  MR: !7

  [ Mattia Rizzolo ]
  * modules:
    + Always call `systemctl stop` if using systemd's cgroups, preventing
      stray slices from being left behind.

  [ James Clarke ]
  * buildpackage-funcs:
    + While setting up the cross-build env, only look at installed bin:gcc,
      not all available ones.
    + Print a useful error if GCC version detection fails.
    + Handle minor GCC versions and unversioned GCC dependencies.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 26 Mar 2019 15:44:52 +0100
