=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: pbuilder
 Section: devel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian pbuilder maintenance team <team+pbuilder@tracker.debian.org>
+Maintainer: Debian pbuilder maintenance team <team+pbuilder@tracker.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
  James Clarke <jrtc27@debian.org>,
 Build-Depends:
  dblatex,
  debconf | debconf-2.0,
- debhelper (>= 10),
+ debhelper-compat (= 11),
  docbook-xsl,
  ldp-docbook-xsl,
  po-debconf,
@@ -25,7 +24,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- debootstrap | cdebootstrap,
+ debootstrap (>= 1.0.97) | cdebootstrap,
  dpkg-dev (>= 1.17.0),
  ${misc:Depends},
 Recommends:
