## pbuilder 0.230.4+10.0trisquel2

=== debian/changelog ===
pbuilder (0.230.4+10.0trisquel2) nabia; urgency=medium

  * Rebrand for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 26 Jun 2021 15:12:03 +0000
