=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

%:
	dh $@

override_dh_clean:
ifneq ($(shell dpkg-vendor --derives-from ubuntu && echo true),true)
	debconf-updatepo
else
	sed "s#http://deb.debian.org/debian#http://archive.trisquel.org/trisquel#g" -i debian/po/* -r
	sed "s#http://deb.debian.org/debian#http://archive.trisquel.org/trisquel#g" -i debian/pbuilder.templates
	sed "s#http://deb.debian.org/debian#http://archive.trisquel.org/trisquel#g" -i debian/pbuilder.config
	sed "s#http://deb.debian.org/debian#http://archive.trisquel.org/trisquel#g" -i pbuilderrc
	sed "s/#DISTRIBUTION=sid/DISTRIBUTION=nabia/" -i pbuilderrc
	sed 's/COMPONENTS="main"/COMPONENTS="main"/' -i pbuilderrc
endif
	dh_clean

override_dh_compress:
	dh_compress -X.pdf
