## pbuilder 0.230.4+nmu1

=== debian/changelog ===
pbuilder (0.230.4+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:14:50 +0800
