## pbuilder 0.231~bpo10+1

=== debian/changelog ===
pbuilder (0.231~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 22 Jan 2021 01:38:31 +0100

pbuilder (0.231) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * modules:
    + Set the debconf value for man-db/auto-update to false to save time in
      the package installing phase.  Nobody is going to need a refreshed
      man-db in a build chroot.
  * pdebuild:
    + With --auto-debsign try to sign both _${arch}.changes and
      _source.changes if available.  Closes: #932743
  * buildpackage:
    + Allow resolving the local hostname too.
  * bash-completion:
    + Add --binary-indep to the completion.  Closes: #951158
  * e/D65various-compiler-support:
    + shellcheck improvements.
  * pbuilderrc:
    + Default to SOURCE_ONLY_CHANGES=yes.
  * satisfydepends-funcs:
    + Fix parsing of build profiles when there is a << version restriction
      before the build profile marker.  Closes: #961227
      Thanks to Helmut Grohne for the initial patch.
  * autopkgtest:
    + Replace deprecated ADTTMP variable with AUTOPKGTEST_TMP.
    + Properly use of `tr` to lowercase strings.
    + Only delete the temporary directory when not running through autopkgtest.
    + Stop explicitly requiring the archive signing key, since that is very
      likely to already be installed anyway.  This will fix the autopkgtest in
      Debian testing where ubuntu-archive-keyring is not available anymore
      (and never needed anyway).
  * d/control:
    + Bump Standards-Version to 4.5.1, no changes needed.
    + Bump debhelper compat level to 13.
      - d/rules: Use execute_before_dh_clean instead of override_dh_clean.
  * Update my copyright.
  * d/po: Re-encode de.po as UTF-8.
  * Override lintian's executable-in-usr-lib.

  [ Rafael Laboissière ]
  * e/B20autopkgtest:
    + Support autodep8 to check existence of tests.  Closes: #945593; MR: !8

  [ denghu ]
  * pbuilderrc:
    + Change the default value of DEBBUILDOPTS so it'll load the content of an
      equally named environment variable.  MR: !9

  [ Debian Janitor ]
  * Janitor stuff:  MR: !10
    + Use correct machine-readable copyright file URI.
    + Wrap long lines in some old changelog entries.

  [ Hideki Yamane ]
  * e/D65various-compiler-support:
    + Explicitly use /bin/bash since there are bashisms inside.  MR: !11

  [ Jessica Clarke ]
  * modules:
    + Apply devfs rules on kFreeBSD.
  * d/control: Update my name.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 18 Jan 2021 05:19:00 +0100
