## pbuilder 0.231

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,17 @@
 Maintainer: Debian pbuilder maintenance team <team+pbuilder@tracker.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
- James Clarke <jrtc27@debian.org>,
+ Jessica Clarke <jrtc27@debian.org>,
 Build-Depends:
  dblatex,
  debconf | debconf-2.0,
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  docbook-xsl,
  ldp-docbook-xsl,
  po-debconf,
  po4a,
  xsltproc,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://pbuilder-team.pages.debian.net/pbuilder
 Vcs-Git: https://salsa.debian.org/pbuilder-team/pbuilder.git
