=== debian/tests/control ===
Tests: unit-tests
Depends: @
Restrictions: allow-stderr

Tests: build-procenv
Depends: @, distro-info, lsb-release
Restrictions: needs-root
