=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pbuilder
 Section: devel
 Priority: optional
-Maintainer: Debian pbuilder maintenance team <team+pbuilder@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian pbuilder maintenance team <team+pbuilder@tracker.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
  Jessica Clarke <jrtc27@debian.org>,
