## pbuilder 0.231build1trisquel2

=== debian/changelog ===
pbuilder (0.231build1trisquel2) ecne; urgency=medium

  * Rebrand for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 08 Oct 2024 17:35:28 +0000
