=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pbuilder
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian pbuilder maintenance team <team+pbuilder@tracker.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
