## pbuilder 0.231build1+11.0trisquel2

=== debian/changelog ===
pbuilder (0.231build1+11.0trisquel2) aramo; urgency=medium

  * Rebrand for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 25 Jun 2022 05:05:58 +0000
