=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	sed "s#http://deb.debian.org/debian#http://archive.trisquel.org/trisquel#g" -i debian/pbuilder.templates
 	sed "s#http://deb.debian.org/debian#http://archive.trisquel.org/trisquel#g" -i debian/pbuilder.config
 	sed "s#http://deb.debian.org/debian#http://archive.trisquel.org/trisquel#g" -i pbuilderrc
-	sed "s/#DISTRIBUTION=sid/DISTRIBUTION=ecne/" -i pbuilderrc
+	sed "s/#DISTRIBUTION=sid/DISTRIBUTION=aramo/" -i pbuilderrc
 	sed 's/COMPONENTS="main"/COMPONENTS="main"/' -i pbuilderrc
 endif
