=== Documentation/Makefile ===
--- 
+++ 
@@ -9,11 +9,10 @@
 
 # the main XML file which is source to all documents
 MASTERXML=pbuilder-doc.xml
-MASTERPOT=pbuilder-doc.po
 HTMLDOCS= pbuilder-doc.html pbuilder-doc.ja.html pbuilder-doc.fr.html pbuilder-doc.de.html
 PDFDOCS = pbuilder-doc.pdf
 
-all: $(MASTERPOT) $(HTMLDOCS) $(PDFDOCS)
+all: $(HTMLDOCS) $(PDFDOCS)
 
 %.html: %.xml pbuilder-doc.xsl
 	xsltproc pbuilder-doc.xsl $< > $@.tmp
@@ -33,9 +32,6 @@
 	install -d -m 755 $(DESTDIR)/usr/share/doc/pbuilder/
 	install -m 644 $(HTMLDOCS) $(DESTDIR)/usr/share/doc/pbuilder/
 	install -m 644 pbuilder-doc.pdf $(DESTDIR)/usr/share/doc/pbuilder/
-
-$(MASTERPOT):
-	po4a-gettextize -f docbook -m $(MASTERXML) -p $(MASTERPOT)
 
 preview: pbuilder-doc.html
 	mozilla-firefox -remote "openfile($(PWD)/$<)"
