=== debian/changelog ===
pbuilder (0.231.1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * docs: remove the "masterpot" file, that is not serving any purpose.
  * modules: Configure APT with APT::Get::Always-Include-Phased-Updates "true";
    (Closes: #981658)
  * buildpackage: remove duplicated chgrp

  [ Andras Elso ]
  * Additional buildresults should be chowned too

  [ hudeng ]
  * fix: Solve the problem of program entering umount loop caused by umount
    failure.

  [ Mattia Rizzolo ]
  * autopkgtest: minor stylistic improvements.
  * autopkgtest: make build-procenv test as needs-internet
  * pdebuild: Support --source-only-changes in pdebuild-internal
    (Closes: #931580)
  * Log a warning when an expected build result is not found
  * pdebuild: use dpkg-parsechangelog -S instead of using sed
  * pdebuild-internal: build up the source changes filename before using it
  * pdebuild: when in pdebuild-internal mode, look for the build artifacts in
    the right place
  * debconf: recognize https from the host's /etc/apt/sources.list.
    (Closes: #999858)

  [ Akbarkhon Variskhanov ]
  * B91dpkg-i: Install Depends first

  [ Mattia Rizzolo ]
  * Add a dependency on 'mount'. (Closes: #1077037)

 -- Jessica Clarke <jrtc27@debian.org>  Fri, 06 Sep 2024 23:07:08 +0100
