=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pbuilder
 Section: devel
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian pbuilder maintenance team <team+pbuilder@tracker.debian.org>
+Maintainer: Debian pbuilder maintenance team <team+pbuilder@tracker.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
  Jessica Clarke <jrtc27@debian.org>,
@@ -27,6 +26,7 @@
 Depends:
  debootstrap (>= 1.0.97) | cdebootstrap,
  dpkg-dev (>= 1.17.0),
+ mount,
  ${misc:Depends},
 Recommends:
  devscripts,
