=== debian/tests/control ===
--- 
+++ 
@@ -4,4 +4,4 @@
 
 Tests: build-procenv
 Depends: @, distro-info, lsb-release
-Restrictions: needs-root
+Restrictions: needs-root, needs-internet
