## pbuilder 0.231.2

=== debian/changelog ===
pbuilder (0.231.2) unstable; urgency=medium

  [ Jessica Clarke ]
  * debconf: Recognise deb822-style sources.
    Based on a patch by Michael Prokop <mika@debian.org>
  * debconf: Handle sources files without terminating newline

  [ Andreas Tille ]
  * Do not Build-Depend: ldp-docbook-xsl (Closes: #1107349)

 -- Jessica Clarke <jrtc27@debian.org>  Mon, 12 Jan 2026 19:30:18 +0000
