## pbuilder 0.231.3

=== debian/changelog ===
pbuilder (0.231.3) unstable; urgency=medium

  * pbuilder-checkparams: Use --expand-environment=no to support systemd v258;
    "Referenced but unset environment variable evaluates to an empty string:"
    errors occur otherwise due to its default value changing.
    (Closes: #1125379)

 -- Jessica Clarke <jrtc27@debian.org>  Tue, 13 Jan 2026 20:10:15 +0000
