=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  debconf | debconf-2.0,
  debhelper-compat (= 13),
  docbook-xsl,
- ldp-docbook-xsl,
  po-debconf,
  po4a,
  xsltproc,
